<?php

/** 
 * LICENSE: ##LICENSE##.
 * 
 * @category   Anahita
 *
 * @author     Rastin Mehr <rastin@anahitapolis.com>
 * @copyright  2008 - 2014 rmdStudio Inc
 * @license    GNU GPLv3 <http://www.gnu.org/licenses/gpl-3.0.html>
 *
 * @link       http://www.GetAnahita.com
 */

/**
 * Term filter.
 *
 * @category   Anahita
 *
 * @author     Rastin Mehr <rastin@anahitapolis.com>
 * @license    GNU GPLv3 <http://www.gnu.org/licenses/gpl-3.0.html>
 *
 * @link       http://www.GetAnahita.com
 */
class AnFilterTerm extends KFilterAbstract
{
    /**
     * Validate a value.
     *
     * @param   scalar  Value to be validated
     *
     * @return bool True when the variable is valid
     */
    protected function _validate($value)
    {
        $value = trim($value);
        $pattern = '/\pL|[.#@_\s-0-9]/u';

        return is_string($value) && preg_replace($pattern, '', $value);
    }

    /**
     * Sanitize a value.
     *
     * @param   scalar  Value to be sanitized
     *
     * @return string
     */
    protected function _sanitize($value)
    {
        $value = trim($value);
        $pattern = '/(?![.#@_\s-0-9])\PL/u';

        return preg_replace($pattern, '', $value);
    }
}
